> For the complete documentation index, see [llms.txt](https://docs.procedural-anatomy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.procedural-anatomy.com/download/0.9.20-skeleton-snapping.md).

# 0.9.20 - Skeleton Snapping

Here we provide links to published versions of the toolset.

{% embed url="<https://youtu.be/gPJ0NApPXR0>" %}

This version is about improving the quality of the skeleton placement by allowing a selection of an input skeleton and matching the Procedural Anatomy skeleton to match its position.

{% hint style="danger" %}
The *anatomy\_model* node has had significant changes.  You may need to rebuild your setup with a new *anatomy\_model* node
{% endhint %}

|            | LINUX                                                                                                                                                                                                 | WINDOWS                                                                                                                                                                                                        |
| ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Indie      | [Indie Linux](https://releases.cryptlex.com/v3/c28020ce-d62b-4a1a-a2d4-479a51b4bbce/01995ba4-d6fa-7d91-81d9-2b78f518ac60/cryptlex-hosted_procedural_anatomy_indie_v0.9.20_linux-x86_64.hdalc?key=)    | [Indie Windows](https://releases.cryptlex.com/v3/c28020ce-d62b-4a1a-a2d4-479a51b4bbce/01995ba4-d6fa-7d91-81d9-2b78f518ac60/cryptlex-hosted_procedural_anatomy_indie_v0.9.20_windows-x86_64.hdalc?key=)         |
| Commercial | [Commercial Linux](https://releases.cryptlex.com/v3/c28020ce-d62b-4a1a-a2d4-479a51b4bbce/01990e1d-bf64-77de-aa4e-abe3cf501859/cryptlex-hosted_procedural_anatomy_commercial_v0.9.19_linux-x86_64.hda) | [Commercial Windows](https://releases.cryptlex.com/v3/c28020ce-d62b-4a1a-a2d4-479a51b4bbce/01995bb1-358f-7057-9f14-3a22c1281536/cryptlex-hosted_procedural_anatomy_commercial_v0.9.20_windows-x86_64.hda?key=) |

```markdown
Anatomy Model
- Removed inputs for external VDB and Volumes
- Adding support for input from an external skeleton
- Added support for snapping from external skeleton
- Fixed error with foot placement breaking and moving downwards

Anatomy Tissue
- Smoothed edges on tissues more

Anatomy Rig Skin
- Fixed error on scene load
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.procedural-anatomy.com/download/0.9.20-skeleton-snapping.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
